org.apache.velocity.tools.config

## Class ConfigurationCleaner

- java.lang.Object
- - org.apache.velocity.tools.config.ConfigurationCleaner

    public class ConfigurationCleaner
    extends Object

Version:
  $Id: Configuration.java 511959 2007-02-26 19:24:39Z nbubna $
Author:
  Nathan Bubna

### Constructor Summary

Constructors
Constructor and Description
`ConfigurationCleaner()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clean(Configuration config)`
`void` `clean(FactoryConfiguration factory)`
`void` `clean(ToolboxConfiguration toolbox)`
`void` `cleanProperties(Configuration config)`
`void` `setLog(org.slf4j.Logger log)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfigurationCleaner

    public ConfigurationCleaner()

### Method Detail

#### setLog

    public void setLog(org.slf4j.Logger log)

#### clean

    public void clean(FactoryConfiguration factory)

#### clean

    public void clean(ToolboxConfiguration toolbox)

#### clean

    public void clean(Configuration config)

#### cleanProperties

    public void cleanProperties(Configuration config)